package com.mortals.xhx.module.app.model;

import java.util.List;

/**
* 应用列查询对象
*
* @author zxfei
* @date 2025-02-11
*/
public class AppConfigQuery extends AppConfigEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点ID排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 站点编号 */
    private List<String> siteCodeList;

    /** 站点编号排除列表 */
    private List <String> siteCodeNotList;
    /** 开始 应用ID */
    private Long appIdStart;

    /** 结束 应用ID */
    private Long appIdEnd;

    /** 增加 应用ID */
    private Long appIdIncrement;

    /** 应用ID列表 */
    private List <Long> appIdList;

    /** 应用ID排除列表 */
    private List <Long> appIdNotList;

    /** 应用编码 */
    private List<String> appCodeList;

    /** 应用编码排除列表 */
    private List <String> appCodeNotList;
    /** 应用名称 */
    private List<String> appNameList;

    /** 应用名称排除列表 */
    private List <String> appNameNotList;
    /** 开始 应用顺序 */
    private Integer orderStart;

    /** 结束 应用顺序 */
    private Integer orderEnd;

    /** 增加 应用顺序 */
    private Integer orderIncrement;

    /** 应用顺序列表 */
    private List <Integer> orderList;

    /** 应用顺序排除列表 */
    private List <Integer> orderNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppConfigQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppConfigQuery> andConditionList;

    public AppConfigQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点ID
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点ID
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 站点编号
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编号
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
    * 获取 站点编号
    * @return siteCodeNotList
    */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
    * 设置 站点编号
    * @param siteCodeNotList
    */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
    * 获取 开始 应用ID
    * @return appIdStart
    */
    public Long getAppIdStart(){
        return this.appIdStart;
    }

    /**
    * 设置 开始 应用ID
    * @param appIdStart
    */
    public void setAppIdStart(Long appIdStart){
        this.appIdStart = appIdStart;
    }

    /**
    * 获取 结束 应用ID
    * @return $appIdEnd
    */
    public Long getAppIdEnd(){
        return this.appIdEnd;
    }

    /**
    * 设置 结束 应用ID
    * @param appIdEnd
    */
    public void setAppIdEnd(Long appIdEnd){
        this.appIdEnd = appIdEnd;
    }

    /**
    * 获取 增加 应用ID
    * @return appIdIncrement
    */
    public Long getAppIdIncrement(){
        return this.appIdIncrement;
    }

    /**
    * 设置 增加 应用ID
    * @param appIdIncrement
    */
    public void setAppIdIncrement(Long appIdIncrement){
        this.appIdIncrement = appIdIncrement;
    }

    /**
    * 获取 应用ID
    * @return appIdList
    */
    public List<Long> getAppIdList(){
        return this.appIdList;
    }

    /**
    * 设置 应用ID
    * @param appIdList
    */
    public void setAppIdList(List<Long> appIdList){
        this.appIdList = appIdList;
    }

    /**
    * 获取 应用ID
    * @return appIdNotList
    */
    public List<Long> getAppIdNotList(){
        return this.appIdNotList;
    }

    /**
    * 设置 应用ID
    * @param appIdNotList
    */
    public void setAppIdNotList(List<Long> appIdNotList){
        this.appIdNotList = appIdNotList;
    }


    /**
    * 获取 应用编码
    * @return appCodeList
    */
    public List<String> getAppCodeList(){
        return this.appCodeList;
    }

    /**
    * 设置 应用编码
    * @param appCodeList
    */
    public void setAppCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
    }

    /**
    * 获取 应用编码
    * @return appCodeNotList
    */
    public List<String> getAppCodeNotList(){
        return this.appCodeNotList;
    }

    /**
    * 设置 应用编码
    * @param appCodeNotList
    */
    public void setAppCodeNotList(List<String> appCodeNotList){
        this.appCodeNotList = appCodeNotList;
    }

    /**
    * 获取 应用名称
    * @return appNameList
    */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
    * 设置 应用名称
    * @param appNameList
    */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }

    /**
    * 获取 应用名称
    * @return appNameNotList
    */
    public List<String> getAppNameNotList(){
        return this.appNameNotList;
    }

    /**
    * 设置 应用名称
    * @param appNameNotList
    */
    public void setAppNameNotList(List<String> appNameNotList){
        this.appNameNotList = appNameNotList;
    }

    /**
    * 获取 开始 应用顺序
    * @return orderStart
    */
    public Integer getOrderStart(){
        return this.orderStart;
    }

    /**
    * 设置 开始 应用顺序
    * @param orderStart
    */
    public void setOrderStart(Integer orderStart){
        this.orderStart = orderStart;
    }

    /**
    * 获取 结束 应用顺序
    * @return $orderEnd
    */
    public Integer getOrderEnd(){
        return this.orderEnd;
    }

    /**
    * 设置 结束 应用顺序
    * @param orderEnd
    */
    public void setOrderEnd(Integer orderEnd){
        this.orderEnd = orderEnd;
    }

    /**
    * 获取 增加 应用顺序
    * @return orderIncrement
    */
    public Integer getOrderIncrement(){
        return this.orderIncrement;
    }

    /**
    * 设置 增加 应用顺序
    * @param orderIncrement
    */
    public void setOrderIncrement(Integer orderIncrement){
        this.orderIncrement = orderIncrement;
    }

    /**
    * 获取 应用顺序
    * @return orderList
    */
    public List<Integer> getOrderList(){
        return this.orderList;
    }

    /**
    * 设置 应用顺序
    * @param orderList
    */
    public void setOrderList(List<Integer> orderList){
        this.orderList = orderList;
    }

    /**
    * 获取 应用顺序
    * @return orderNotList
    */
    public List<Integer> getOrderNotList(){
        return this.orderNotList;
    }

    /**
    * 设置 应用顺序
    * @param orderNotList
    */
    public void setOrderNotList(List<Integer> orderNotList){
        this.orderNotList = orderNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public AppConfigQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public AppConfigQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public AppConfigQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public AppConfigQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public AppConfigQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键，自增长
        * @param idNotList
        */
        public AppConfigQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public AppConfigQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public AppConfigQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public AppConfigQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public AppConfigQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public AppConfigQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点ID
        * @param siteIdNotList
        */
        public AppConfigQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public AppConfigQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public AppConfigQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 站点编号
    * @param siteCode
    */
    public AppConfigQuery siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编号
    * @param siteCodeList
    */
    public AppConfigQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }

    /**
    * 设置  应用ID
    * @param appId
    */
    public AppConfigQuery appId(Long appId){
	    setAppId(appId);
		return this;
    }
	
	 /**
    * 设置 开始 应用ID
    * @param appIdStart
    */
    public AppConfigQuery appIdStart(Long appIdStart){
		this.appIdStart = appIdStart;
		return this;
    }

    /**
    * 设置 结束 应用ID
    * @param appIdEnd
    */
    public AppConfigQuery appIdEnd(Long appIdEnd){
		this.appIdEnd = appIdEnd;
		return this;
    }

    /**
    * 设置 增加 应用ID
    * @param appIdIncrement
    */
    public AppConfigQuery appIdIncrement(Long appIdIncrement){
		this.appIdIncrement = appIdIncrement;
		return this;
    }

    /**
    * 设置 应用ID
    * @param appIdList
    */
    public AppConfigQuery appIdList(List<Long> appIdList){
        this.appIdList = appIdList;
		return this;
        }

        /**
        * 设置 应用ID
        * @param appIdNotList
        */
        public AppConfigQuery appIdNotList(List<Long> appIdNotList){
        this.appIdNotList = appIdNotList;
        return this;
        }


	/**
    * 设置 应用编码
    * @param appCode
    */
    public AppConfigQuery appCode(String appCode){
        setAppCode(appCode);
		return this;
    }

    /**
    * 设置 应用编码
    * @param appCodeList
    */
    public AppConfigQuery appCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
		return this;
    }


	/**
    * 设置 应用名称
    * @param appName
    */
    public AppConfigQuery appName(String appName){
        setAppName(appName);
		return this;
    }

    /**
    * 设置 应用名称
    * @param appNameList
    */
    public AppConfigQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
		return this;
    }

    /**
    * 设置  应用顺序
    * @param order
    */
    public AppConfigQuery order(Integer order){
	    setOrder(order);
		return this;
    }
	
	 /**
    * 设置 开始 应用顺序
    * @param orderStart
    */
    public AppConfigQuery orderStart(Integer orderStart){
		this.orderStart = orderStart;
		return this;
    }

    /**
    * 设置 结束 应用顺序
    * @param orderEnd
    */
    public AppConfigQuery orderEnd(Integer orderEnd){
		this.orderEnd = orderEnd;
		return this;
    }

    /**
    * 设置 增加 应用顺序
    * @param orderIncrement
    */
    public AppConfigQuery orderIncrement(Integer orderIncrement){
		this.orderIncrement = orderIncrement;
		return this;
    }

    /**
    * 设置 应用顺序
    * @param orderList
    */
    public AppConfigQuery orderList(List<Integer> orderList){
        this.orderList = orderList;
		return this;
        }

        /**
        * 设置 应用顺序
        * @param orderNotList
        */
        public AppConfigQuery orderNotList(List<Integer> orderNotList){
        this.orderNotList = orderNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AppConfigQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AppConfigQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AppConfigQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AppConfigQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AppConfigQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AppConfigQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppConfigQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppConfigQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppConfigQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppConfigQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}